PDF Export Filter Overview

Xara Xtreme Pro PDF/PDF-X Export Filter Overview

The Xara Xtreme Pro Portable Document Format (PDF) export filter provides a high speed method of generating Adobe PDF and PDF/X compliant files that retain the fidelity of the original illustrations while also maintaining the vector orientation of the design.

Exporting PDF files

You can export files in PDF version 1.3, 1.4, 1.5 and 1.6 formats as well as the following PDF/X standards:

  • PDF/X-1a:2001 (ISO 15930-1)

  • PDF/X-1a:2003 (ISO 15930-4)

  • PDF/X-3:2002 (ISO 15930-3)

  • PDF/X-3:2003 (ISO 15930-6)

Using the PDF format you can transfer files from Xara X to the Internet or any application that supports PDF files. Note that for general purpose you should always use PDF version 1.4 or above wherever possible as this version of the format introduced support for full transparency. PDF/X standard support is provided for designers that wish to submit their illustrations to service bureaus for printing.

Some Xara Xtreme Pro features do not exist in PDF or are implemented differently:

  • Transparency. PDF version 1.3 does not support transparency. Any objects containing transparency will be exported as bitmaps.

  • Transparency Types. The bleach, mix and stained glass types are mapped directly to the screen, normal and multiple transparency types available in PDF version 1.4 and greater. All other objects that use these transparency types are exported as bitmaps.

  • Conical, Diamond, Three Colour, Four Colour, Fractal Cloud fills and Fractal Plasma fills. These will transfer fine, but are exported as bitmap fills.

  • Blends. Not part of the PDF format. Blends are exported as individual objects.

  • Molds. Not part of the PDF format. Molds are exported as individual objects.

  • QuickShapes. All QuickShapes are converted to simple shapes.

  • Clipviews. The PDF export filter does not directly support clipviews comprised of lines or text. Convert all lines and text to shapes to ensure that a clipview that contains these objects is properly converted.

To export a PDF file

  1. From the File menu, choose Export or press CTRL+SHIFT+E.

  2. Select 'PDF or PDF/X' from the list of file types.

  3. Enter the filename and location and click Save. This opens the PDF Export dialog box.

  4. Select from the list of presets for commonly-used export settings or customize these options by clicking 'Advanced Options...'.

  5. If applicable, set the filter options.

  6. Click Export.

Using the PDF Export Presets

The PDF Export Filter dialog box includes four presets that can be selected to quickly generate PDF output based on commonly-used settings. These presets include:

  1. Draft quality (96 DPI, no font embedding)

    The draft setting is typically used when proofing a design and offers the fastest mode of PDF generation.

  2. E-mail distribution or web download (Adobe Reader version 5 and above)

    This setting specifies filter options that are optimal for distributing PDF documents through e-mail and the web.

  3. High quality (300 DPI, larger PDF files)

    The high quality setting includes options for rendering designs as PDF documents where full fidelity is required at high resolution.

  4. Commercial printing (PDF/X, 300 DPI images)

    This setting specifies filter options that are commonly used for generating PDF/X documents that will be submitted to a service bureau for printing.

In addition to these four presets, the PDF Export Filter includes a 'Custom' preset that allows the user to adjust all of the properties that are used when generating a PDF document. The following section provides an overview of this feature.

Customizing PDF Export Filter Output using Advanced Options

While the four presets included in the PDF Export Filter will cover most typical scenarios for generating PDF output, situations may arise when greater control is required in order to specify the properties of the resulting document. For this purpose, the PDF Export Filter provides a fifth 'Custom' preset that allows the user to modify any of the filter settings and retain them for future use.

To customize the output filter settings:

  1. Select the 'Custom' option from the list of available presets.

  2. Click 'Advanced Options...'.

  3. Modify the desired filter settings.

  4. Click Export to generate the PDF document.

Note that the settings contained within the four presets can be used as the basis for the Custom preset. Simply select the preset that you would like to use as the basis of your Custom settings, click 'Advanced Options...', specify the options to be used and export the design to PDF. The modified settings will automatically be stored under the Custom preset for use from that point on.

When the Advanced Options button is clicked, the PDF Export Filter options appear in a separate dialog box grouped within the following categories: General, Objects, Document, Layers, Pre-Press and Security. For additional information on the options that can be configured in each of these categories please refer to the corresponding Advanced Filter Options topic.

Last updated May 2007


General

PDF Export Filter Settings: General Options

The General Options tab in the PDF Export Filter provides a range of settings that can be configured to specify PDF document attributes including version compatibility, how content is encoded and which pages are to be rendered.

  • PDF Version compatibility

    The PDF Export Filter supports versions 1.3, 1.4, 1.5 and 1.6 of the PDF format as well as the most commonly used PDF/X standards to ensure compatibility with a wide range of applications. Unless PDF version 1.3 compatibility is required, select PDF version 1.4 or greater as the output format as this will provide support for transparency.

  • Color Model

    The color encoding standard for the PDF document can be selected from CMYK, RGB and Native. The Native option represents colors in the PDF file as they are specified in the drawing using RGB and/or CMYK.

    When CMYK is selected as the color model for a PDF document, an ICC (International Color Consortium) profile can be specified. Please refer to the section on Pre-Press options for additional information.

    Note that PDF/X documents generated by the filter are limited to CMYK color encoding.

  • Options

    1. Optimize for fast web viewing (linearization).

      Linearization of PDF files generated by the export filter encodes the PDF for optimal transfer and viewing over the Internet. Be default this option is enabled.

    2. Embed fonts when permitted.

      Select this option to include copies of fonts in the PDF file that are not included in the PDF base 14 fonts supported by Adobe Reader. Note that only those fonts that are not restricted by copyrighting restrictions will be embedded in the PDF file. By default this option is enabled.

      Note that PDF/X documents requires that all fonts are embedded in the resulting document.

    3. Font subset only.

      This option can be used in conjunction with the 'Embed fonts when permitted' option to indicate that only those characters that are used within a typeface will be embedded in the resulting PDF file. Selecting this option can reduce the size of the PDF file that is generated however it will also limit the level of editability. By default this option is unselected.

    4. View PDF when finished

      This option can be selected to automatically launch and view the resulting PDF using the default application that is associated with the format under Windows. This option is enabled by default.

    5. Enable Continuous Scrolling in Adobe Reader.

      Choose this option to have Adobe Reader synchronize the scrolling of the PDF document with the movement of the scroll bars in the viewing application. By default this option is selected. Note that this option only applies to PDF documents that contain more than one page.

  • Page Generation

    When generating a PDF document from a design, Xara Xtreme Pro includes a feature that allows a range of pages to be specified. This is useful when a design has been created that contains multiple pages.

    To specify which pages are to be rendered to the resulting PDF document:

    1. Click 'Advanced Options...' from within the PDF Export Filter dialog box.

    2. Within the General settings category, select 'All' to render all pages contained within the design, 'Current Page' to print the currently selected page or 'Selected objects' to print only those objects that are selected.

    3. To print a range of pages within the design, select 'Pages' and enter the desired range in the edit box. Specify individual pages by their number, separated by commas. To specify a range, enter a starting and ending page.

      For example, to specify that the first, third page and pages 5 through 12 of a design should be rendered to the resulting PDF document enter the following:

      1, 3, 5-12.

Note that pages will be rendered to the PDF document in the order in which they appear in the original design.


Objects Options

PDF Export Filter Settings: Objects Options

The Objects Options tab in the PDF Export Filter provides a series of settings that can be used to specify how design elements are rendered in a PDF document.

  • Bitmap Compression

    Choose the compression scheme for bitmapped images that appear in the document by selecting from the options in the drop-down list. Supported compression schemes include: Native (use the bitmap compression in the document), none (do not apply compression) and JPEG and Flate. The bitmap compression scheme to be used should correspond with the media to be used to render the resulting PDF. The default recommended bitmap compression scheme is Native.

  • JPEG Quality

    Use the slider control to set the JPEG quality index when using JPEG compression for bitmapped images. Values range from 0 to 100, with higher values specifying increased quality and lower values specifying increased compression and the loss of some image fidelity. The default JPEG quality is 85.

  • Rasterization Resolution (DPI)

    Choose the DPI (dots per inch) for the rasterization resolution using the drop-down list or click 'Use Custom DPI' and enter a custom value by checking the 'Use custom DPI' option and specifying an integer value between 20 and 600. The default preset value for rasterization is 150.

  • Resample Bitmap Images

    This option can be used in conjunction with the rasterization resolution to specify whether raster images should be resampled to the chosen DPI. Enabling this option will reduce the size of resulting PDF files, however images will be permanently resized to the selected DPI. By default, this option is unselected and all raster images are stored in the PDF at their native DPI.

  • Options

    1. Include hyperlinks.

      Select this option to preserve any objects containing hyperlinks in the outgoing PDF file. By default this option is selected for standard PDF documents. This option is unselected and disabled for PDF/X documents as hyperlinks are not allowed.

    2. Convert text into shapes.

      This option can be selected to convert all text content into vector shapes. This option can be specified to preserve the appearance of text when equivalent fonts may not be available on the target system or when font embedding is not permitted. Note that the text in the resulting PDF file is translated into shapes and is no longer editable as text. By default this option is unselected.

    3. Use Unicode for text encoding.

      This option can be used to select the method to be used for encoding text in the resulting PDF document. By default, this option is unselected and text is encoded using the ANSI encoding scheme. Selecting this option specifies that text should be encoded using Unicode.

    4. Preserve bitmap tiling.

      This option determines the method that the export filter uses to generate tiles in the PDF file. By default, the preserve bitmap tiling option is selected and a series of individual bitmaps are used to fill the corresponding object. This option should be unchecked when the resulting PDF files are to be used in Adobe Illustrator 9 and 10 or in any other application that does not directly support bitmap tiles as fills.

    5. Preserve Groups.

      Use this option to maintain groups in the resulting PDF document. Note that because the PDF format does not natively support groups, grouping is emulated using clipping masks. Please refer to the section Tips on Using the PDF Export Filter for additional information on how this affects editability in other applications. By default this option is unselected.


Document Options

PDF Export Filter Settings: Document Options

The Document Options tab contains items that can be used to specify authoring information and how a PDF document will be rendered when viewed within Adobe Reader.

  • Description

    Within this section, the title, author, subject and keywords for the outgoing PDF document can be optionally added. Select "Include document information" to embed these details in the resulting PDF file. By default this feature is unselected.

  • Initial View

    Select from among the document viewing options in the drop-down list to specify the magnification level of the resulting PDF file when it is viewed in applications that support this feature. The default magnification level is 100%.

    Note that this feature is not available for PDF/X documents.

  • Reader Display Setup

    When generating a PDF file that is intended for display in Adobe Reader, you can select from among the display setup options in the drop-down list to specify how the viewer is configured when the file is opened.

    Options are included for displaying only the page, the bookmarks panel and page, the pages panel and page, a full screen version of the document, the layers panel and page (PDF 1.5) and the attachments panel (PDF 1.6). The display setup options for showing the bookmarks, pages and the layers panel are particularly useful when generating PDF documents in which layers are used.

    The default Reader display setup option is Page only.

    Note that this feature is not available for PDF/X documents.

  • File Embedding

    A unique feature supported by the PDF document format is its ability to embed files at the document level. The Xara Xtreme Pro PDF Export Filter allows one file of any size and type to be added to the exported PDF. When the PDF document is opened by applications that support file embedding (such as Adobe Reader or Acrobat), the embedded file appears in the attachments list panel.

    Embedding a file within the PDF document is particularly useful when distributing an illustration or submitting it to a service bureau. Examples for the use of this feature include attaching the original Xara Xtreme Pro .xar file, a readme file outlining author and copyright information or a high resolution rasterized version of the illustration to the resulting PDF.

    To embed a file within an outgoing PDF document, simply click the ellipses button [...] to select a file from within a file open dialog or type in the path of the file manually.

    Enable 'Embed selected file' to add the file to the PDF document. By default this option is unselected.

    An optional description may also be provided for the embedded file. This description will appear as a comment when the attachments panel is viewed in Adobe Reader and Acrobat.

    Note that File Embedding requires that the PDF Version compatibility be selected as 1.4 or greater.


Layer Options

PDF Export Filter Settings: Layer Options

The Layer Options tab within the PDF Export Filter provides a means to specify how layers within a drawing are rendered for in the PDF document.

  • General Options

  1. Exclude invisible layers.

    This option can be checked to exclude all invisible layers in the outgoing PDF file. To eliminate guide layers from a PDF document, set the layer to invisible in the Xara Xtreme Pro layer gallery and export the drawing with this option checked. This option is enabled by default.

  • Layering Methods (standard PDF only)

  1. Do not generate Reader layers

    Separate layers do not appear in the resulting PDF document. This option is enabled by default.

  2. Enable Reader layers in a single page (PDF 1.5 and above only)

    Layers are rendered within the document on a single page, with layering labels included for display within Adobe Reader's layer gallery.

  3. Generate separate pages for each layer

    Each layer is rendered to a separate page within the document.

  4. Generate a separate PDF document for each layer

    Each layer is rendered to a separate PDF file.

    If this option is selected, the PDF filename entered is combined with the layer names from the design to produce a unique name for each page. For example: if 2 layers appear in the drawing, named Layer1 and Layer2, and Drawing.pdf is specified as the export filename, then 2 PDF files, Drawing.Layer1.pdf and Drawing.Layer2.pdf are created.

    Note that when a multipage document is used, file names include a placeholder for the page number as well. For example, if a drawing is comprised of 2 pages, each having 2 layers named Layer1 and Layer2, and Drawing.pdf is specified as the export filename, then 4 PDF files, Drawing.Page1.Layer1.pdf, Drawing.Page1.Layer2.pdf, Drawing.Page2.Layer1.pdf, Drawing.Page2.Layer2.pdf are created.

An additional option allows for bookmarks (also referred to as "outlines") to be included within the resulting PDF document when separate pages are rendered for each layer. This allows for quick navigation to any page that corresponds to the layer in the original drawing using the layer name.

  5. Generate bookmarks for each layer.

    Select this option to include bookmarks in the resulting PDF document when layers are represented on separate pages (option #3 above). By default this option is unselected.

Note that options 3 and 4 do not apply when generating PDF documents that consist of multiple pages.

  • Crop and Printer Marks

  1. Include crop and printer marks in the PDF document

    Select this option to include crop and printer marks in the outgoing PDF document. This feature is particularly useful when submitting PDF files to be printed through a service bureau. By default this feature is unselected.

Note: To use this feature you must check the Output Printer's Marks option and select the desired types of marks to be included within the Imagesetting tab of the Print Options dialog.


Pre-Press Options

PDF Export Filter Settings: Pre-Press Options

The Pre-Press Options tab includes items for specifying characterization settings and the embedding of ICC (International Color Consortium) color profiles for print production.

ICC profiles are files containing data that specifies how colors are to be rendered on a particular output device. The use of an ICC profile is mandatory for PDF/X documents, optional for CMYK-based PDF documents and not applicable for all other types of PDF documents.

Specifying an ICC profile of use in PDF/X documents:

  • Output Intent Profiles

    When generating a PDF/X document for print production, output intent profile settings based on an ICC profile must be specified in order to ensure that the output is rendered properly on the intended output device. Xara Xtreme Pro includes presets for the most popular output intent profiles used in North America, Europe and Japan. To specify the use of one of the preset output intent profiles, simply select it from the list.

  • Custom Output Intent Profiles

    If the output intent profile that is required for print production is not provided in the list provide with Xara Xtreme Pro, it is possible to enter the desired output by selecting 'Custom' in the intent profiles list. Here you may enter the optional Output Condition and the required Output Condition Identifier that corresponds to the output device.

    Note that for PDF/X compliance Custom profiles must be embedded in the resulting documents. Follow the instructions below for details on how to specify the location of ICC profiles.

  • ICC Profile Embedding

    The Xara Xtreme Pro PDF filter includes provisions for embedding ICC files within a PDF document. A    n embedded ICC profile is required for a Custom output intent if the characterized printing condition is not in the registry of CMYK characterizations on the ICC web site (www.color.org).

    The output intent profiles included with Xara Xtreme Pro are     not embedded in the resulting PDF/X document as they are readily available in workflow environments.

    To embed an ICC profile within a PDF document:

    1. click the ellipses button [...] to select a file from within a file open dialog or type in the path of the file manually
    2. click "Embed this profile" to include the ICC profile in the outgoing PDF document.

    By default the file embedding feature is     unselected.

    Note: please be sure to consult with your print service bureau to determine the appropriate settings for all pre-press options.

Specifying an ICC profile of use in CMYK-based PDF documents:

When a CMYK color model is selected for standard PDF documents a profile may be specified from the Output Intent Profiles list as a reference when performing the actual color conversion. The output intent profiles included with Xara Xtreme Pro may be embedded in the resulting PDF document by clicking "Embed this profile." if you wish to use a profile that is not included in the list of presets, specify a Custom profile as described above and select whether or not you wish to embed it in the document.


Security Options

PDF Export Filter Settings: Security Options

The Security Options tab provides support for specifying security attributes and permissions settings that determine how the PDF document can be used once it is distributed. These options are only available for standard PDF documents and cannot be used when generating PDF/X files.

To include these security settings in the outgoing PDF document, check "Apply security". By default this feature is unselected.

  • File Open Password

    To password-protect a PDF document, specify and confirm a password. This password will be required when a user attempts to open the document for viewing.

    Note that it is strongly recommended that a document also be encrypted if a file open password is applied as this security scheme is known to be relatively easy to compromise. As a result, file open passwords should only be used as a means of security to prevent inexperienced users from accessing sensitive documents.

  • Document Encryption and Permissions Password

    To encrypt a PDF document, select an encryption method and specify and confirm a password. This password will be required when a user attempts to make changes to the document, including modifying security and permissions settings. The encryption password is often referred to as the owner or master password and it may also be used to open the PDF document.

    Additional document permissions settings (outlined in the section below) may be applied to determine the degree to which a user can interact with the encrypted document.

    Four encryption methods are available:

    1. None

      This setting will not apply any document encryption. This is the default encryption option for the document.

    2. 40-bit RC4

      This setting will apply a 40-bit encryption algorithm to the document.

    3. 128-bit RC4

      This setting will apply a 128-bit encryption algorithm to the document.

    4. 128-bit AES

      This setting will apply the 128-bit AES encryption algorithm to the document. If the PDF document contains confidential or highly sensitive material this method of encryption is considered to be the most effective means of securing the contents.

      Note that PDF 1.6 is required to support this encryption method.

  • Document Permissions Settings

    The document permissions settings section allows you to specify actions that can be undertaken on an encrypted PDF document when it is rendered or processed by another application.

    Within the Document Permissions Summary section, check any of the following settings to allow a user to perform the following tasks:

    1. Printing

      Selecting this option allows a user to print the PDF document. By default this option is selected.

    2. Extraction for accessibility

      Selecting this option allows content to be extracted by applications that assist users with impairments. By default this option is selected.

    3. Commenting

      Checking this option allows users to add comments and annotations to the PDF document. By default this option is selected.

    4. Modification

      Enabling this option allows users to change the contents of the PDF document. By default this option is selected.

    5. Document assembly (requires 128-bit encryption)

      Checking this option allows a user to merge or append this document with other documents. By default this option is selected.

    6. Content copying or extraction (requires 128-bit encryption)

      Selecting this option allows a user to copy or extract elements of the document, including text and graphics. By default this option is selected.

Note that the PDF document must be encrypted in order for these permissions settings to be applied. In addition, the responsibility for respecting these permissions settings is left to the application that is used for processing the PDF document.


Tips on using the PDF Export Filter

General Tips

In most cases, the default settings that are provided in the PDF Export Filter dialog are optimal for commonly used applications. However, the following tips provide details on when settings should be changed to meet specific needs.

Settings Tab

Option

Tip

General

PDF Version Compatibility

For general purpose use, select PDF version 1.4 wherever possible to maintain transparency. When using PDF/X for submission of a design to a print service bureau, consult with the bureau to determine the PDF/X standard that they use.

Exclude invisible layers

To eliminate guide layers from PDF output, make the layer invisible in the Xara Xtreme Pro layer gallery and check 'Exclude invisible layers' in the General Options.

Embed fonts when permitted

Embedding fonts within a PDF document can significantly increase the size of the resulting file so the tradeoff between document fidelity and size should be considered. Note that some applications including Adobe Illustrator 9 & 10 may require that copies of all embedded fonts reside on the host system in order to support editing. Consider using the Convert text into shapes option to convert text characters into vector shapes if distribution of fonts is not possible.

Font embedding is also recommended when Unicode text is included in a design as it will ensure that PDF rendering applications properly display the text.

Font subset only

This option can be used in conjunction with font embedding to limit the range of characters that are included in the embedded font. Selecting this option will reduce the size of the resulting PDF file however it will also limit the editability of the document in other applications.

Objects

Resample bitmap images

By selecting this option, raster images that are included in the outgoing PDF will be permanently resampled to the specified DPI, resulting in a reduction in the size of the document. Note however that if images are resampled they be scaled when rendering the document to the DPI of a high resolution output device. This presents a tradeoff between document size and the quality of the rendered images.

Use Unicode for text encode

Select this option when including text in a drawing that includes characters that are not found in the ANSI encoding scheme.

Note that when using Unicode characters, fonts may need to be embedded to ensure that the resulting PDF document is rendered correctly using various viewing applications on different operating systems.

Pre-Press

ICC Profile Embedding

An ICC (International Color Consortium) profile is an industry standard file format that is used for specifying color characteristics of input and output devices. Consult your service bureau to determine if a particular ICC profile should be embedded in a PDF file.

Application Specific Tips

When using the PDF Export Filter to generate PDF files to be editing in other applications, a number of settings should be considered. The following tips provide details on when settings should be changed to meet the needs of specific applications.

Application

Version

Option

Tip

Adobe Illustrator

9 / 10

General - PDF Version Compatibility

If complex polygons or "cut out" areas are used in a design select PDF version 1.4 to ensure that they are preserved.

9 / 10

General - Embed fonts when permitted

In order to edit PDF documents in Adobe Illustrator 9 and 10, embedded fonts must reside on the target system. If distribution of fonts contained within the original document is not possible, consider using the Convert text into shapes option.

9 / 10

Objects - Preserve bitmap tiling

Uncheck this option when generating PDF files that are to be edited using Adobe Illustrator 9 or 10. Tiled bitmap fills contained in Xara Xtreme Pro are emulated using raster images and clipping paths.

9 / 10

Objects - Use Unicode for text encoding

Deselect this option to encode all text in PDF documents using the ANSI scheme. Versions 9 and 10 of Adobe Illustrator do not include support for Unicode text, so disabling this option is mandatory. Convert any Unicode characters to outlines when exporting PDF files for use in Adobe Illustrator 9 or 10.

9 / 10

Objects - Preserve groups

Check this option to maintain groups in the PDF document for full editing within Illustrator 9 & 10.

9 / 10

Layers - Exclude invisible layers

Uncheck this option to preserve all layering information in the PDF from the Xara Xtreme Pro drawing, including layers that are invisible. Adobe Illustrator 9 & 10 fully supports the editing and visibility of layers generated using the PDF filter when this setting is disabled.

CS

Objects - Preserve Groups

Checking this option maintains groups in the PDF document for editing within Illustrator CS. Note however that because PDF does not natively support groups that clipping masks will appear as part of groups in Illustrator CS. As a result, ungrouping a series of objects will require the additional step of removing the corresponding clipping mask as well.

Corel Draw

X3

General - Optimize for fast web viewing

Uncheck this option to import drawings into Corel Draw.

General

-

General - Embed fonts when permitted

While most commercial fonts include typeface variations for bold, italics and bold italics styles a large number of fonts in the public domain are distributed only as a 'regular' version of the typeface.

Xara Xtreme Pro includes support for applying bold and italics styles to fonts that do not have a corresponding typeface, however many applications are unable to synthesize text styles. When using a font that does not include a bold, italics or bold italics version of the typeface consider converting the stylized text into vector shapes or using an alternative font that includes these variations.

Objects - Use Unicode for text encoding

Note that if stylization is applied to text in Xara Xtreme Pro and the font is embedded or Unicode is used for the encoding type, any bold, italics, and bold italics attributes will be ignored by most applications.

Designing Documents for Print Production using PDF/X

As PDF/X increasingly becomes the industry standard format for print production, designers should take into consideration some basic PDF/X format rules before creating illustrations that will be used for print production:

  1. Transparency

    In the current PDF/X standards, transparency of any type is prohibited. Any design elements that use a level of transparency must be first flattened into a raster image in order to meet conformance requirements. Xara Xtreme Pro will perform this flattening process automatically to ensure that the resulting PDF/X output meets industry standards.

  2. Security

    As PDF/X was devised to be a standard that will promote the blind exchange of print data, encryption and document permissions settings are not allowed. If you are creating a design or illustration that contains sensitive information, it is best to use a standard version of a PDF for electronic document distribution and proofing.

  3. Font Embedding

    All fonts that are used in a PDF/X document must be embedded so that the document can be directly rendered by the service bureau without and resource dependencies. If a font cannot be legally embedded or a synthesized version of a typeface has been used the PDF/X file will fail conformance testing in print production environments. Consider using other typefaces or convert text characters into vector shapes using the Convert text into shapes option if embedding of fonts is not possible. During the PDF/X export process a warning will be issued if you need to address this issue.

  4. Pre-Press Options

    Selecting and appropriate Output Intent Profile is critical to the successful rendering of a PDF/X document in a print production environment. Be sure to consult with your service bureau to determine how this should be set. If a custom profile is used that does not appear in the ICC registry of standard CMYK characterizations (www.color.org) it is also necessary to determine which ICC profile should be included in the document.

  5. Color Matching

    As with any printed output, PDF/X documents are subject to the same principals that apply to all types of printed material. To ensure that design and output colors match appropriately, check with your service bureau to determine if adjustments are required for particular colors. Despite standardization measures that have been adopted to promote the blind exchange of print data, there is still some degree of variability in the real world. Proofing should be used to limit any possibility of errors prior to committing to a print run.

Finally, it's important to note that PDF/X standards are based on a limited subset of the full PDF specification and features are restricted to those available in PDF versions 1.3 and 1.4. Before beginning any design work that will need to be submitted in PDF/X format, it is important to take these limitations into consideration.


Error and warning messages

Export Filter Messages

During the operation of the PDF Export Filter, warnings and error messages are occasionally generated to alter the user of feature restrictions and problems that may have been encountered during the operation of the filter. The following table provides an over of these messages and how they may be resolved.

Settings Tab | Option | Message | Resolution
- | - | Unable to locate the filter settings file. | This message is generated when the export filter is unable to retrieve settings required for its operation. Check to make sure that the file exists and is accessible. If the file cannot be located the application will need to be reinstalled.
- | - | Unable to locate the filter help file. | This message is displayed if the online help file cannot be located for the export filter. Check to make sure that the file exists and is accessible. If the file cannot be located the application will need to be reinstalled.
General | Page Generation | Please specify a valid page range. | This message appears when an attempt has been made to specify a page range that does not conform to the required format. Pages should be entered as numbers or ranges, separated by commas.
Document | File Embedding | Please specify a valid file for embedding. | This message is displayed if the 'Embed selected file' option is enabled and a file is not specified for the attachment.
 |  | The specified file could not be found. | This message is generated when a path for an attachment has been specified that cannot be found. Check to make sure that the file exists and is accessible.
Pre-Press | ICC Profile Embedding | Please select a valid CMYK ICC profile. | This message appears if an attempt has been made to embed a file that does not comply with the ICC standard format.
 |  | Please select a valid CMYK ICC profile for use in a {PDF/X version information} document. | This message appears if an ICC profile that is not CMYK-based is selected for use with a document.
 |  | Unable to open the specified ICC profile. | This message appears if the filter is unable to open the selected ICC profile. This will most often occur if the file is being used by another application. Close any applications that may be using the ICC profile to eliminate this problem.
Security | Document Encryption | A password must be specified if the document is to be encrypted. | This message appears if an encryption method has been specified for a PDF document but a password has not been specified.
 |  | The file open/encryption passwords that you have specified do not match. | This message is generated if the confirmation password does not match the original password that was entered.
 | Document Permissions Settings | A password must be specified if permissions settings are applied. | This message appears if permissions settings have been selected but a permissions settings password has not been specified.
 |  | The file open/encryption passwords that you have specified do not match. | This message is generated if the confirmation password does not match the original password that was entered for the permissions settings.
 |  | Duplicate passwords cannot be used for encryption. | This message will appear if identical values have been chosen for the encryption and permissions settings passwords. Be sure to specify unique values for these passwords.

A note about embedded fonts:

During the generation of a PDF file a warning dialog box may appear providing a list of fonts that could not be embedded in the resulting document. Fonts are not embedded in a PDF document for a number of reasons:

  1. The font is unavailable on the system

    This occurs when the design has originally been created with a specific font, then edited in Xara Xtreme Pro on another platform in which the typeface was not available. Within Xara Xtreme Pro, a font substitution has taken place but the original type is still referenced when attempting to generate the PDF.

  2. The font has copyright restrictions

    Some font vendors impose copyright restrictions on typefaces that prevent them from being embedded and redistributed.

  3. The font was synthesized.

    Xara Xtreme Pro provides a feature that allows bold and italic styles to be applied to fonts that do not have a corresponding bold or italic typeface. If a style is applied to a font under these conditions it must be synthesized when the PDF document is rendered, yielding results that are unpredictable.

If you intend to distribute your PDF file or submit it to a service bureau for printing it is recommended that you do the following:

  1. Ensure that all target platforms have legal copies of any required fonts installed. Fonts that are not embedded in the PDF document due to copyright restrictions will be substituted using a 'best guess' approximation by most applications, resulting in a loss of fidelity and unpredictable rendering results.

  2. Convert all synthesized fonts into editable objects or use alternative typefaces. Styles applied to fonts in which a corresponding typeface does not exist are often ignored by many applications.

  3. Regenerate the PDF file.